<?php


namespace Ardent\PicnicApi\Objects;


class OrderLine extends AbstractApiObject
{
    /**
     * OrderLine constructor.
     */
    public function __construct(
        private string $id,
        private array $items,
        private int $displayPrice,
        private int $price,
    )
    {
    }

    static public function getType(): string
    {
        return 'ORDER_LINE';
    }

    static public function fromApi(array $apiObject): AbstractApiObject
    {
        dump($apiObject);
        return new self(
            $apiObject['id'],
            ApiListTransformer::getObjects($apiObject['items']),
            $apiObject['display_price'],
            $apiObject['price'],
        );
    }

    /**
     * @return string
     */
    public function getId(): string
    {
        return $this->id;
    }

    /**
     * @return OrderArticle[]
     */
    public function getItems(): array
    {
        return $this->items;
    }

    /**
     * @return int
     */
    public function getDisplayPrice(): int
    {
        return $this->displayPrice;
    }

    /**
     * @return int
     */
    public function getPrice(): int
    {
        return $this->price;
    }
}